Noitom Hi5 Unity SDK: HI5.HI5_BindInfoManager Class Reference

| Noitom Hi5 Unity SDK Hi5_Unity_SDK_API_1_0_0_655_17 The SDK for Using Noitom Hi5 Glove in Unity Engine.

Classes | Static Public Member Functions | Static Public Attributes | Properties | List of all members
HI5.HI5_BindInfoManager Class Reference

Manage the binded optical device information. More...

## Static Public Member Functions

static bool | IsGloveBinded (Hand handType)
| Check the specific glove is binded on any optical device. More...
static bool | CheckDeviceBinded (Hand handType, string serialNumber)
| Check whether the device was binded on left or right glove. More...
static void | SaveItems ()
| Save the binded optical device serail number of both hand locally. More...
static bool | LoadItems ()
| Load the binded optical device serail number of both hand locally. More...

## Static Public Attributes

static HI5_BindInfo | BindInfo = new HI5_BindInfo()
| The instance of Hi5_Bind Info class, saved binded optical device informations. More...

## Properties

static int | LeftID`[get, set]`
| Get or set the ID of tracked device binded on left glove. More...
static int | RightID`[get, set]`
| Get or set the ID of tracked device binded on right glove. More...
static bool | IsLeftGloveBinded`[get]`
| Get the bind state of left glove. True, the left glove is binded on one optical device. False, the left glove is not binded any optical devcie. More...
static bool | IsRightGloveBinded`[get]`
| Get the bind state of right glove. True, the right glove is binded on one optical device. False, the right glove is not binded any optical devcie. More...
static string | DefaultPath`[get]`
| Get the default path of saving and reading binded device information file. More...

## Detailed Description

Manage the binded optical device information.

## Member Function Documentation

## ◆ CheckDeviceBinded()

static bool HI5.HI5_BindInfoManager.CheckDeviceBinded | ( | Hand | handType,
|  | string | serialNumber
| ) |  |

static

Check whether the device was binded on left or right glove.

Parameters

  handType | The type of HI5.Hand.
  serialNumber | The serial number of the device.

Returns
  True, the device was binded on specific glove. False, the device was not binded on specific glove.

## ◆ IsGloveBinded()

static bool HI5.HI5_BindInfoManager.IsGloveBinded | ( | Hand | handType | ) |

static

Check the specific glove is binded on any optical device.

Parameters

  handType | The type of HI5.Hand

Returns
  True, the specific glove is binided. False, the specific glove is not binided.

## ◆ LoadItems()

static bool HI5.HI5_BindInfoManager.LoadItems | ( |  | ) |

static

Load the binded optical device serail number of both hand locally.

Returns
  True, successfully load the device serial number. False, failed load the device serial number.

## ◆ SaveItems()

static void HI5.HI5_BindInfoManager.SaveItems | ( |  | ) |

static

Save the binded optical device serail number of both hand locally.

b_pos save

## Member Data Documentation

## ◆ BindInfo

HI5_BindInfo HI5.HI5_BindInfoManager.BindInfo = new HI5_BindInfo()

static

The instance of Hi5_Bind Info class, saved binded optical device informations.

## Property Documentation

## ◆ DefaultPath

string HI5.HI5_BindInfoManager.DefaultPath

staticget

Get the default path of saving and reading binded device information file.

## ◆ IsLeftGloveBinded

bool HI5.HI5_BindInfoManager.IsLeftGloveBinded

staticget

Get the bind state of left glove. True, the left glove is binded on one optical device. False, the left glove is not binded any optical devcie.

## ◆ IsRightGloveBinded

bool HI5.HI5_BindInfoManager.IsRightGloveBinded

staticget

Get the bind state of right glove. True, the right glove is binded on one optical device. False, the right glove is not binded any optical devcie.

## ◆ LeftID

int HI5.HI5_BindInfoManager.LeftID

staticgetset

Get or set the ID of tracked device binded on left glove.

## ◆ RightID

int HI5.HI5_BindInfoManager.RightID

staticgetset

Get or set the ID of tracked device binded on right glove.